Форум программистов, компьютерный форум, киберфорум
Наши страницы
Oracle
Войти
Регистрация
Восстановить пароль
 
Рейтинг 4.67/9: Рейтинг темы: голосов - 9, средняя оценка - 4.67
demogam
0 / 0 / 0
Регистрация: 16.05.2013
Сообщений: 10
1

ORA-00201: control file version 11.2.0.2.0 incompatible with ORACLE version 11.2.0.0.0

16.05.2013, 15:44. Просмотров 1805. Ответов 6
Метки нет (Все метки)

Пожалуйста отзовитесь монстры оракла))) помогите кто чем может, я взял базу с сервера и собираюсь развернуть ее на другой машине, поставил Oracle, создал базу, потом остановил его удалил все файлы и заменил файлами той базы, которую собираюсь подцепить и вот что он выдает после команды startup, там ошибка связанная с контролфайлами кажется да? заранее спасибо Вам большое!)
0
Миниатюры
ORA-00201: control file version 11.2.0.2.0 incompatible with ORACLE version 11.2.0.0.0  
QA
Эксперт
41792 / 34177 / 6122
Регистрация: 12.04.2006
Сообщений: 57,940
16.05.2013, 15:44
Ответы с готовыми решениями:

ORA-00205: error in identifying control file, check alert log for more info
Привет . Первое что я сделал посмотрел адрес контрол файла для сервера SQL> shutdown abort...

"Error: This version of PyQt5 and the commercial version of Qt have incompatible licenses" при установке Pyqt
Никак не могу установить pyqt, вылезает такая ошибка Error: This version of PyQt5 and the...

Где пункт меню File -> Settings Version -> Control -> Git в Android Studio
Доброго дня. Не могу найти Git у себя в настройках Android Studio 2.2.1 В системе установлен Git...

Ошибка cannot be opened because it is version 782. This server supports version 706 and earlier
Есть проект для которого база данных (далее-БД) создается с использованием Code First При сборке...

Bootstrap's JavaScript requires jQuery version 1.9.1 or higher, but lower than version 3
ребят почему так пишет Bootstrap's JavaScript requires jQuery version 1.9.1 or higher, but lower...

6
Grossmeister
Модератор
3556 / 2582 / 456
Регистрация: 21.01.2011
Сообщений: 11,243
16.05.2013, 15:52 2
1. создавать пустую БД совершенно необязательно, достаточно создать сервис экземпляра с пом. oradim
2. версии Oracle на одной и другой машине точно одинаковые?
0
demogam
0 / 0 / 0
Регистрация: 16.05.2013
Сообщений: 10
16.05.2013, 15:57  [ТС] 3
11.2.0.2.0 на серве откуда взял базу а на этом 11.2.0.0.0, и как создать oradim я подзабыл эти команды(

Добавлено через 36 секунд
большое дело сделаешь если поможешь
0
Grossmeister
Модератор
3556 / 2582 / 456
Регистрация: 21.01.2011
Сообщений: 11,243
17.05.2013, 10:19 4
1. если запустить oradim без параметров, он выведет справку
2. версия 11.2.0.0.0 сомнительна. Обычно четвертая цифра обязательно присутствует
3. если версии разные, то перенос между ними осуществляется через экспорт / импорт (exp.exe / imp.exe или expdp.exe / impdp.exe), а не простым копированием файлов
1
demogam
0 / 0 / 0
Регистрация: 16.05.2013
Сообщений: 10
17.05.2013, 10:44  [ТС] 5
я вчера скопировал с того сервера того СУБД которая установлена непосредственно там на откуда я брал базу, попробую тут развернуть заново, "ORA-00201: control file version 11.2.0.2.0 incompatible with ORACLE version
11.2.0.0.0" вот что мне выдало когда собирался запустить... а контрол файлы, которые не подходят с той базы убрать и создать тут новые для той же базы не прокатит да?
0
Grossmeister
Модератор
3556 / 2582 / 456
Регистрация: 21.01.2011
Сообщений: 11,243
17.05.2013, 11:23 6
Цитата Сообщение от demogam
а контрол файлы, которые не подходят с той базы убрать и создать тут новые для той же базы не прокатит да?
Попробовать можно, но я сомневаюсь, поскольку версия прописывается не только к control file, но и в заголовках data files, просто до их открытия дело не дошло
0
demogam
0 / 0 / 0
Регистрация: 16.05.2013
Сообщений: 10
17.05.2013, 17:19  [ТС] 7
я сейчас полностью переустановил ту самую СУБД что на том сервере, с которого брал базу, все равно та же история, у меня возник вопрос а может админ который ставил туда СУБД до того как создать базу может пропатчил его с 11.2.0.0.0 до 11.2.0.2.0? просто мне система опять отвечает что база создавалась на 11.2.0.2.0 а у меня 11.2.0.0.0 и что они не совместимы((( у меня и патчи есть может пропатчим его? помоги мне друг)))

Добавлено через 52 секунды
сил больше нет все это терпеть и нервы сдерживать, третий день с этим вожусь

Добавлено через 28 минут
так вы мне поможете? или мне не стоит ждать?
0
17.05.2013, 17:19
Answers
Эксперт
37091 / 29110 / 5898
Регистрация: 17.06.2006
Сообщений: 43,301
17.05.2013, 17:19

Какая разница в живом спецификации Multipage Version от Developer Version ?
Какая разница в живом спецификации Multipage Version от Developer Version ? ...

Lan1tcpip:the Network Port Driver Is An Incompatible Version
Привет всем. Вот вышеприведенная ошибка появляется в консоли при запуске свежеустановленного...

Toolbar ActiveX Control - Version 6.0 !!!
Лиди!!! Надо вставить иконки и отслеживать IndexS кнопок...


Искать еще темы с ответами

Или воспользуйтесь поиском по форуму:
7
Ответ Создать тему
Опции темы

КиберФорум - форум программистов, компьютерный форум, программирование
Powered by vBulletin® Version 3.8.9
Copyright ©2000 - 2019, vBulletin Solutions, Inc.
Рейтинг@Mail.ru